Bug 188130 - Add OutlineView.setTreeHorizontalScrollBarPolicy(int)
Add OutlineView.setTreeHorizontalScrollBarPolicy(int)
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
6.x
All All
: P2 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@platform
: API, API_REVIEW_FAST
Depends on: 187814
Blocks: 188173
  Show dependency treegraph
 
Reported: 2010-06-27 21:03 UTC by Martin Entlicher
Modified: 2010-07-09 03:22 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
API change that adds methods to get/set policy of tree horizontal scroll bar. (3.57 KB, patch)
2010-06-29 21:51 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2010-06-27 21:03:49 UTC
See issue #187814.
public method OutlineView.setTreeHorizontalScrollBarPolicy(int) should be added to be able to define the policy of horizontal scroll bar in the tree column.
This is a compatible API change.
Comment 1 Martin Entlicher 2010-06-29 21:51:19 UTC
Created attachment 100503 [details]
API change that adds methods to get/set policy of tree horizontal scroll bar.
Comment 2 Martin Entlicher 2010-06-29 21:52:11 UTC
Please review this simple compatible API change.
Comment 3 Martin Entlicher 2010-07-07 12:50:20 UTC
Thanks for the review, I'm going to push that change...
Comment 4 Martin Entlicher 2010-07-07 15:54:21 UTC
Implemented in changeset:   173898:4df94c3a9243
http://hg.netbeans.org/main/rev/4df94c3a9243
Comment 5 Quality Engineering 2010-07-09 03:22:19 UTC
Integrated into 'main-golden', will be available in build *201007090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4df94c3a9243
User: mentlicher@netbeans.org
Log: #188130 Added OutlineView.get/setTreeHorizontalScrollBarPolicy(int)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo